uuid: 9554a302-0dbe-490e-b598-1d7c44693014
langcode: en
status: true
dependencies:
  module:
    - drutopia_action
id: config_sync.module.drutopia_action
snapshotSet: config_sync
extensionType: module
extensionName: drutopia_action
items:
  -
    collection: ''
    name: core.base_field_override.node.action.promote
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - node.type.action
      id: node.action.promote
      field_name: promote
      entity_type: node
      bundle: action
      label: 'Promoted to front page'
      description: ''
      required: false
      translatable: true
      default_value:
        -
          value: 0
      default_value_callback: ''
      settings:
        on_label: 'On'
        off_label: 'Off'
      field_type: boolean
  -
    collection: ''
    name: core.entity_form_display.node.action.default
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.field.node.action.body
          - field.field.node.action.field_action_end_date
          - field.field.node.action.field_action_link
          - field.field.node.action.field_action_type
          - field.field.node.action.field_body_paragraph
          - field.field.node.action.field_image
          - field.field.node.action.field_meta_tags
          - field.field.node.action.field_summary
          - field.field.node.action.field_tags
          - field.field.node.action.field_topics
          - image.style.thumbnail
          - node.type.action
        module:
          - datetime
          - image
          - link
          - metatag
          - paragraphs
          - path
          - text
      id: node.action.default
      targetEntityType: node
      bundle: action
      mode: default
      content:
        created:
          type: datetime_timestamp
          weight: 9
          settings: {  }
          third_party_settings: {  }
          region: content
        field_action_end_date:
          weight: 3
          settings: {  }
          third_party_settings: {  }
          type: datetime_default
          region: content
        field_action_link:
          weight: 5
          settings:
            placeholder_url: ''
            placeholder_title: ''
          third_party_settings: {  }
          type: link_default
          region: content
        field_action_type:
          weight: 4
          settings: {  }
          third_party_settings: {  }
          type: options_select
          region: content
        field_body_paragraph:
          weight: 2
          settings:
            title: Paragraph
            title_plural: Paragraphs
            edit_mode: open
            add_mode: button
            form_display_mode: default
            default_paragraph_type: text
          third_party_settings: {  }
          type: entity_reference_paragraphs
          region: content
        field_image:
          weight: 7
          settings:
            progress_indicator: throbber
            preview_image_style: thumbnail
          third_party_settings: {  }
          type: image_image
          region: content
        field_meta_tags:
          weight: 26
          settings: {  }
          third_party_settings: {  }
          type: metatag_firehose
          region: content
        field_summary:
          weight: 1
          settings:
            rows: 5
            placeholder: ''
          third_party_settings: {  }
          type: text_textarea
          region: content
        field_tags:
          weight: 6
          settings:
            match_operator: CONTAINS
            size: 60
            placeholder: ''
          third_party_settings: {  }
          type: entity_reference_autocomplete_tags
          region: content
        field_topics:
          weight: 121
          settings: {  }
          third_party_settings: {  }
          type: options_select
          region: content
        path:
          type: path
          weight: 12
          settings: {  }
          third_party_settings: {  }
          region: content
        promote:
          type: boolean_checkbox
          settings:
            display_label: true
          weight: 10
          third_party_settings: {  }
          region: content
        status:
          type: boolean_checkbox
          settings:
            display_label: true
          weight: 120
          region: content
          third_party_settings: {  }
        sticky:
          type: boolean_checkbox
          settings:
            display_label: true
          weight: 11
          third_party_settings: {  }
          region: content
        title:
          type: string_textfield
          weight: 0
          settings:
            size: 60
            placeholder: ''
          third_party_settings: {  }
          region: content
        uid:
          type: entity_reference_autocomplete
          weight: 8
          settings:
            match_operator: CONTAINS
            size: 60
            placeholder: ''
          third_party_settings: {  }
          region: content
      hidden:
        body: true
  -
    collection: ''
    name: core.entity_view_display.node.action.box
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.box
          - field.field.node.action.body
          - field.field.node.action.field_action_end_date
          - field.field.node.action.field_action_link
          - field.field.node.action.field_action_type
          - field.field.node.action.field_body_paragraph
          - field.field.node.action.field_image
          - field.field.node.action.field_meta_tags
          - field.field.node.action.field_summary
          - field.field.node.action.field_tags
          - field.field.node.action.field_topics
          - node.type.action
        module:
          - ds
          - link
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            ds_content:
              - node_title
              - field_action_link
          fields:
            node_title:
              plugin_id: node_title
              weight: 0
              label: hidden
              formatter: default
              settings:
                link: true
                wrapper: h2
                class: ''
      id: node.action.box
      targetEntityType: node
      bundle: action
      mode: box
      content:
        field_action_link:
          type: link
          weight: 1
          region: ds_content
          label: visually_hidden
          settings:
            trim_length: 18
            url_only: false
            url_plain: false
            rel: '0'
            target: '0'
          third_party_settings: {  }
      hidden:
        body: true
        field_action_end_date: true
        field_action_type: true
        field_body_paragraph: true
        field_image: true
        field_meta_tags: true
        field_summary: true
        field_tags: true
        field_topics: true
        links: true
  -
    collection: ''
    name: core.entity_view_display.node.action.card
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.card
          - field.field.node.action.body
          - field.field.node.action.field_action_end_date
          - field.field.node.action.field_action_link
          - field.field.node.action.field_action_type
          - field.field.node.action.field_body_paragraph
          - field.field.node.action.field_image
          - field.field.node.action.field_meta_tags
          - field.field.node.action.field_summary
          - field.field.node.action.field_tags
          - field.field.node.action.field_topics
          - node.type.action
          - responsive_image.styles.narrow
        module:
          - ds
          - field_group
          - link
          - responsive_image
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            ds_content:
              - field_image
              - group_card_content
              - field_topics
              - node_title
              - field_action_link
          fields:
            node_title:
              plugin_id: node_title
              weight: 10
              label: hidden
              formatter: default
              settings:
                link: true
                wrapper: h2
                class: ''
        field_group:
          group_card_content:
            children:
              - field_topics
              - node_title
              - field_action_link
            parent_name: ''
            weight: 1
            format_type: html_element
            format_settings:
              id: ''
              classes: ''
              element: div
              show_label: false
              label_element: h3
              attributes: ''
              effect: none
              speed: fast
            label: 'Card content'
            region: hidden
      id: node.action.card
      targetEntityType: node
      bundle: action
      mode: card
      content:
        field_action_link:
          type: link
          weight: 11
          region: ds_content
          label: visually_hidden
          settings:
            trim_length: 18
            url_only: false
            url_plain: false
            rel: '0'
            target: '0'
          third_party_settings: {  }
        field_image:
          type: responsive_image
          weight: 0
          region: ds_content
          label: visually_hidden
          settings:
            responsive_image_style: narrow
            image_link: content
          third_party_settings: {  }
        field_topics:
          type: entity_reference_label
          weight: 9
          region: ds_content
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
      hidden:
        body: true
        field_action_end_date: true
        field_action_type: true
        field_body_paragraph: true
        field_meta_tags: true
        field_summary: true
        field_tags: true
        links: true
  -
    collection: ''
    name: core.entity_view_display.node.action.default
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.field.node.action.body
          - field.field.node.action.field_action_end_date
          - field.field.node.action.field_action_link
          - field.field.node.action.field_action_type
          - field.field.node.action.field_body_paragraph
          - field.field.node.action.field_image
          - field.field.node.action.field_meta_tags
          - field.field.node.action.field_summary
          - field.field.node.action.field_tags
          - field.field.node.action.field_topics
          - node.type.action
        module:
          - user
      id: node.action.default
      targetEntityType: node
      bundle: action
      mode: default
      content: {  }
      hidden:
        body: true
        field_action_end_date: true
        field_action_link: true
        field_action_type: true
        field_body_paragraph: true
        field_image: true
        field_meta_tags: true
        field_summary: true
        field_tags: true
        field_topics: true
        links: true
  -
    collection: ''
    name: core.entity_view_display.node.action.full
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.full
          - field.field.node.action.body
          - field.field.node.action.field_action_end_date
          - field.field.node.action.field_action_link
          - field.field.node.action.field_action_type
          - field.field.node.action.field_body_paragraph
          - field.field.node.action.field_image
          - field.field.node.action.field_meta_tags
          - field.field.node.action.field_summary
          - field.field.node.action.field_tags
          - field.field.node.action.field_topics
          - node.type.action
          - responsive_image.styles.wide
        module:
          - datetime
          - ds
          - entity_reference_revisions
          - link
          - responsive_image
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_3col_stacked
            library: ds/ds_3col_stacked
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                header: div
                left: div
                middle: div
                right: div
                footer: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            header:
              - field_image
            left:
              - field_action_end_date
            middle:
              - field_body_paragraph
              - field_topics
              - field_tags
              - field_action_type
            right:
              - field_action_link
      id: node.action.full
      targetEntityType: node
      bundle: action
      mode: full
      content:
        field_action_end_date:
          type: datetime_default
          weight: 1
          label: above
          settings:
            timezone_override: ''
            format_type: month_day_year
          third_party_settings: {  }
          region: left
        field_action_link:
          type: link
          weight: 6
          label: hidden
          settings:
            trim_length: 80
            url_only: false
            url_plain: false
            rel: ''
            target: ''
          third_party_settings: {  }
          region: right
        field_action_type:
          type: entity_reference_label
          weight: 5
          region: middle
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
        field_body_paragraph:
          type: entity_reference_revisions_entity_view
          weight: 2
          label: hidden
          settings:
            view_mode: default
            link: ''
          third_party_settings: {  }
          region: middle
        field_image:
          type: responsive_image
          weight: 0
          region: header
          label: visually_hidden
          settings:
            responsive_image_style: wide
            image_link: ''
          third_party_settings: {  }
        field_tags:
          type: entity_reference_label
          weight: 4
          label: hidden
          settings:
            link: true
          third_party_settings: {  }
          region: middle
        field_topics:
          type: entity_reference_label
          weight: 3
          region: middle
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
      hidden:
        body: true
        field_meta_tags: true
        field_summary: true
        links: true
  -
    collection: ''
    name: core.entity_view_display.node.action.search_index
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.search_index
          - field.field.node.action.body
          - field.field.node.action.field_action_end_date
          - field.field.node.action.field_action_link
          - field.field.node.action.field_action_type
          - field.field.node.action.field_body_paragraph
          - field.field.node.action.field_image
          - field.field.node.action.field_meta_tags
          - field.field.node.action.field_summary
          - field.field.node.action.field_tags
          - field.field.node.action.field_topics
          - node.type.action
        module:
          - datetime
          - entity_reference_revisions
          - link
          - responsive_image
          - user
      id: node.action.search_index
      targetEntityType: node
      bundle: action
      mode: search_index
      content:
        field_action_end_date:
          type: datetime_default
          weight: 2
          region: content
          label: hidden
          settings:
            timezone_override: ''
            format_type: month_day_year
          third_party_settings: {  }
        field_action_link:
          type: link
          weight: 3
          region: content
          label: hidden
          settings:
            trim_length: 80
            url_only: false
            url_plain: false
            rel: ''
            target: ''
          third_party_settings: {  }
        field_action_type:
          type: entity_reference_label
          weight: 4
          region: content
          label: hidden
          settings:
            link: true
          third_party_settings: {  }
        field_body_paragraph:
          type: entity_reference_revisions_entity_view
          weight: 1
          region: content
          label: hidden
          settings:
            view_mode: default
            link: ''
          third_party_settings: {  }
        field_image:
          type: responsive_image
          weight: 0
          region: content
          label: hidden
          settings:
            image_link: ''
            responsive_image_style: ''
          third_party_settings: {  }
        field_tags:
          type: entity_reference_label
          weight: 6
          region: content
          label: hidden
          settings:
            link: true
          third_party_settings: {  }
        field_topics:
          type: entity_reference_label
          weight: 5
          region: content
          label: hidden
          settings:
            link: true
          third_party_settings: {  }
      hidden:
        body: true
        field_meta_tags: true
        field_summary: true
        links: true
  -
    collection: ''
    name: core.entity_view_display.node.action.simple_card
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.simple_card
          - field.field.node.action.body
          - field.field.node.action.field_action_end_date
          - field.field.node.action.field_action_link
          - field.field.node.action.field_action_type
          - field.field.node.action.field_body_paragraph
          - field.field.node.action.field_image
          - field.field.node.action.field_meta_tags
          - field.field.node.action.field_summary
          - field.field.node.action.field_tags
          - field.field.node.action.field_topics
          - node.type.action
          - responsive_image.styles.narrow
        module:
          - ds
          - field_group
          - responsive_image
          - user
      third_party_settings:
        field_group:
          group_card_content:
            children:
              - 'bundle_field:node'
              - node_title
            parent_name: ''
            weight: 1
            format_type: html_element
            format_settings:
              id: ''
              classes: ''
              element: div
              show_label: false
              label_element: h3
              attributes: ''
              effect: none
              speed: fast
            label: 'Card content'
            region: hidden
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            ds_content:
              - field_image
              - group_card_content
              - 'bundle_field:node'
              - node_title
          fields:
            'bundle_field:node':
              plugin_id: 'bundle_field:node'
              weight: 2
              label: hidden
              formatter: default
            node_title:
              plugin_id: node_title
              weight: 3
              label: hidden
              formatter: default
              settings:
                link: true
                wrapper: h2
                class: ''
                exclude_node_title: '1'
      id: node.action.simple_card
      targetEntityType: node
      bundle: action
      mode: simple_card
      content:
        field_image:
          type: responsive_image
          weight: 0
          region: ds_content
          label: visually_hidden
          settings:
            responsive_image_style: narrow
            image_link: content
          third_party_settings: {  }
      hidden:
        body: true
        field_action_end_date: true
        field_action_link: true
        field_action_type: true
        field_body_paragraph: true
        field_meta_tags: true
        field_summary: true
        field_tags: true
        field_topics: true
        links: true
  -
    collection: ''
    name: core.entity_view_display.node.action.teaser
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.teaser
          - field.field.node.action.body
          - field.field.node.action.field_action_end_date
          - field.field.node.action.field_action_link
          - field.field.node.action.field_action_type
          - field.field.node.action.field_body_paragraph
          - field.field.node.action.field_image
          - field.field.node.action.field_meta_tags
          - field.field.node.action.field_summary
          - field.field.node.action.field_tags
          - field.field.node.action.field_topics
          - node.type.action
          - responsive_image.styles.narrow
        module:
          - ds
          - responsive_image
          - text
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_2col
            library: ds/ds_2col
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                left: div
                right: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            left:
              - field_image
            right:
              - node_title
              - field_summary
              - field_topics
          fields:
            node_title:
              plugin_id: node_title
              weight: 1
              label: hidden
              formatter: default
              settings:
                link: true
                wrapper: h2
                class: ''
      id: node.action.teaser
      targetEntityType: node
      bundle: action
      mode: teaser
      content:
        field_image:
          type: responsive_image
          weight: 0
          label: visually_hidden
          settings:
            responsive_image_style: narrow
            image_link: content
          third_party_settings: {  }
          region: left
        field_summary:
          type: text_default
          weight: 2
          label: visually_hidden
          settings: {  }
          third_party_settings: {  }
          region: right
        field_topics:
          type: entity_reference_label
          weight: 3
          region: right
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
      hidden:
        body: true
        field_action_end_date: true
        field_action_link: true
        field_action_type: true
        field_body_paragraph: true
        field_meta_tags: true
        field_tags: true
        links: true
  -
    collection: ''
    name: core.entity_view_display.node.action.tile
    data:
      langcode: en
      status: false
      dependencies:
        config:
          - core.entity_view_mode.node.tile
          - field.field.node.action.body
          - field.field.node.action.field_action_end_date
          - field.field.node.action.field_action_link
          - field.field.node.action.field_action_type
          - field.field.node.action.field_body_paragraph
          - field.field.node.action.field_image
          - field.field.node.action.field_meta_tags
          - field.field.node.action.field_summary
          - field.field.node.action.field_tags
          - field.field.node.action.field_topics
          - node.type.action
        module:
          - ds
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions: {  }
      id: node.action.tile
      targetEntityType: node
      bundle: action
      mode: tile
      content: {  }
      hidden:
        body: true
        field_action_end_date: true
        field_action_link: true
        field_action_type: true
        field_body_paragraph: true
        field_image: true
        field_meta_tags: true
        field_summary: true
        field_tags: true
        field_topics: true
        links: true
  -
    collection: ''
    name: field.field.node.action.body
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.body
          - node.type.action
        module:
          - text
      id: node.action.body
      field_name: body
      entity_type: node
      bundle: action
      label: Body
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        display_summary: true
      field_type: text_with_summary
  -
    collection: ''
    name: field.field.node.action.field_action_end_date
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_action_end_date
          - node.type.action
        module:
          - datetime
      id: node.action.field_action_end_date
      field_name: field_action_end_date
      entity_type: node
      bundle: action
      label: 'Action end date'
      description: 'Set a date for when this action ends.'
      required: false
      translatable: false
      default_value: {  }
      default_value_callback: ''
      settings: {  }
      field_type: datetime
  -
    collection: ''
    name: field.field.node.action.field_action_link
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_action_link
          - node.type.action
        module:
          - link
      id: node.action.field_action_link
      field_name: field_action_link
      entity_type: node
      bundle: action
      label: 'Action link'
      description: 'Use the link field to target where your action is taken, for example a donation form or an external petition site.'
      required: false
      translatable: false
      default_value: {  }
      default_value_callback: ''
      settings:
        link_type: 17
        title: 1
      field_type: link
  -
    collection: ''
    name: field.field.node.action.field_action_type
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_action_type
          - node.type.action
          - taxonomy.vocabulary.action_type
      id: node.action.field_action_type
      field_name: field_action_type
      entity_type: node
      bundle: action
      label: 'Action type'
      description: 'Site visitors can filter content by the Action type. Add Action Type options at the <a href="/admin/structure/taxonomy/manage/action_type/overview">Action Type vocabulary page</a>.'
      required: false
      translatable: false
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:taxonomy_term'
        handler_settings:
          target_bundles:
            action_type: action_type
          sort:
            field: _none
          auto_create: false
          auto_create_bundle: ''
      field_type: entity_reference
  -
    collection: ''
    name: field.field.node.action.field_body_paragraph
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_body_paragraph
          - node.type.action
        module:
          - entity_reference_revisions
      id: node.action.field_body_paragraph
      field_name: field_body_paragraph
      entity_type: node
      bundle: action
      label: 'Body paragraph'
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:paragraph'
        handler_settings:
          target_bundles: null
          target_bundles_drag_drop:
            text:
              weight: -7
              enabled: false
            image:
              weight: -7
              enabled: false
            file:
              weight: -7
              enabled: false
      field_type: entity_reference_revisions
  -
    collection: ''
    name: field.field.node.action.field_image
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_image
          - node.type.action
        module:
          - image
      id: node.action.field_image
      field_name: field_image
      entity_type: node
      bundle: action
      label: Image
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        file_directory: '[date:custom:Y]-[date:custom:m]'
        file_extensions: 'png gif jpg jpeg'
        max_filesize: ''
        max_resolution: ''
        min_resolution: ''
        alt_field: true
        alt_field_required: true
        title_field: false
        title_field_required: false
        default_image:
          uuid: ''
          alt: ''
          title: ''
          width: null
          height: null
        handler: 'default:file'
        handler_settings: {  }
      field_type: image
  -
    collection: ''
    name: field.field.node.action.field_meta_tags
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_meta_tags
          - node.type.action
        module:
          - metatag
      id: node.action.field_meta_tags
      field_name: field_meta_tags
      entity_type: node
      bundle: action
      label: 'Meta tags'
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings: {  }
      field_type: metatag
  -
    collection: ''
    name: field.field.node.action.field_summary
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_summary
          - node.type.action
        module:
          - text
      id: node.action.field_summary
      field_name: field_summary
      entity_type: node
      bundle: action
      label: Summary
      description: 'Enter a short description of what this Action is about. The summary is displayed on Action teasers, such as on the Actions page. '
      required: true
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings: {  }
      field_type: text_long
  -
    collection: ''
    name: field.field.node.action.field_tags
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_tags
          - node.type.action
          - taxonomy.vocabulary.tags
      id: node.action.field_tags
      field_name: field_tags
      entity_type: node
      bundle: action
      label: Tags
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:taxonomy_term'
        handler_settings:
          target_bundles:
            tags: tags
          sort:
            field: _none
          auto_create: true
          auto_create_bundle: ''
      field_type: entity_reference
  -
    collection: ''
    name: field.field.node.action.field_topics
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_topics
          - node.type.action
          - taxonomy.vocabulary.topics
      id: node.action.field_topics
      field_name: field_topics
      entity_type: node
      bundle: action
      label: Topics
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:taxonomy_term'
        handler_settings:
          target_bundles:
            topics: topics
          sort:
            field: name
            direction: asc
          auto_create: false
          auto_create_bundle: ''
      field_type: entity_reference
  -
    collection: ''
    name: field.storage.node.field_action_end_date
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - datetime
          - node
      id: node.field_action_end_date
      field_name: field_action_end_date
      entity_type: node
      type: datetime
      settings:
        datetime_type: date
      module: datetime
      locked: false
      cardinality: 1
      translatable: true
      indexes: {  }
      persist_with_no_fields: false
      custom_storage: false
  -
    collection: ''
    name: field.storage.node.field_action_link
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - link
          - node
      id: node.field_action_link
      field_name: field_action_link
      entity_type: node
      type: link
      settings: {  }
      module: link
      locked: false
      cardinality: 1
      translatable: true
      indexes: {  }
      persist_with_no_fields: false
      custom_storage: false
  -
    collection: ''
    name: field.storage.node.field_action_type
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - node
          - taxonomy
      id: node.field_action_type
      field_name: field_action_type
      entity_type: node
      type: entity_reference
      settings:
        target_type: taxonomy_term
      module: core
      locked: false
      cardinality: 1
      translatable: true
      indexes: {  }
      persist_with_no_fields: false
      custom_storage: false
  -
    collection: ''
    name: node.type.action
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - menu_ui
      third_party_settings:
        menu_ui:
          available_menus:
            - main
          parent: 'main:'
      name: Action
      type: action
      description: 'An <em>action</em> is a specific, single action a user can take.'
      help: ''
      new_revision: true
      preview_mode: 1
      display_submitted: false
  -
    collection: ''
    name: pathauto.pattern.node_action
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - node
      id: node_action
      label: 'Node action'
      type: 'canonical_entities:node'
      pattern: 'actions/[node:title]'
      selection_criteria:
        3e363b77-9773-4bf6-aeba-5a3ad58339f9:
          id: node_type
          bundles:
            action: action
          negate: false
          context_mapping:
            node: node
          uuid: 3e363b77-9773-4bf6-aeba-5a3ad58339f9
      selection_logic: and
      weight: -5
      relationships: {  }
  -
    collection: ''
    name: search_api.index.action
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_tags
          - field.storage.node.field_summary
          - field.storage.node.field_action_end_date
          - field.storage.node.field_action_type
          - field.storage.node.field_action_link
          - search_api.server.database
          - core.entity_view_mode.node.search_index
        module:
          - user
          - search_api
          - node
      id: action
      name: Action
      description: 'An index for the action content type.'
      read_only: false
      field_settings:
        rendered_item:
          label: 'Rendered HTML output'
          property_path: rendered_item
          type: text
          configuration:
            roles:
              anonymous: anonymous
            view_mode:
              'entity:node':
                action: search_index
        node_grants:
          label: 'Node access information'
          property_path: search_api_node_grants
          type: string
          indexed_locked: true
          type_locked: true
          hidden: true
        title:
          label: Title
          datasource_id: 'entity:node'
          property_path: title
          type: text
          boost: 8.0
        field_tags:
          label: Tags
          datasource_id: 'entity:node'
          property_path: field_tags
          type: integer
          dependencies:
            config:
              - field.storage.node.field_tags
        created:
          label: 'Authored on'
          datasource_id: 'entity:node'
          property_path: created
          type: date
        uid:
          label: 'Authored by'
          datasource_id: 'entity:node'
          property_path: uid
          type: integer
          indexed_locked: true
          type_locked: true
        changed:
          label: Changed
          datasource_id: 'entity:node'
          property_path: changed
          type: date
        field_summary:
          label: Summary
          datasource_id: 'entity:node'
          property_path: field_summary
          type: text
          dependencies:
            config:
              - field.storage.node.field_summary
        status:
          label: Published
          datasource_id: 'entity:node'
          property_path: status
          type: boolean
          indexed_locked: true
          type_locked: true
        name:
          label: 'Authored by » User » Name'
          datasource_id: 'entity:node'
          property_path: 'uid:entity:name'
          type: string
          dependencies:
            module:
              - user
        sticky:
          label: 'Sticky at top of lists'
          datasource_id: 'entity:node'
          property_path: sticky
          type: boolean
        promote:
          label: 'Promoted to front page'
          datasource_id: 'entity:node'
          property_path: promote
          type: boolean
        field_action_end_date:
          label: 'Action end date'
          datasource_id: 'entity:node'
          property_path: field_action_end_date
          type: date
          dependencies:
            config:
              - field.storage.node.field_action_end_date
        field_action_type:
          label: 'Action type'
          datasource_id: 'entity:node'
          property_path: field_action_type
          type: integer
          dependencies:
            config:
              - field.storage.node.field_action_type
        field_action_link:
          label: 'Action link'
          datasource_id: 'entity:node'
          property_path: field_action_link
          type: string
          dependencies:
            config:
              - field.storage.node.field_action_link
      datasource_settings:
        'entity:node':
          bundles:
            default: false
            selected:
              - action
          languages:
            default: true
            selected: {  }
      processor_settings:
        rendered_item: {  }
        add_url: {  }
        aggregated_field: {  }
        entity_status: {  }
        tokenizer:
          all_fields: false
          fields:
            - rendered_item
            - title
            - field_summary
          spaces: ''
          overlap_cjk: 1
          minimum_word_size: '3'
          weights:
            preprocess_index: -44
            preprocess_query: -46
        stopwords:
          all_fields: false
          fields:
            - rendered_item
            - title
            - field_summary
          stopwords:
            - a
            - an
            - and
            - are
            - as
            - at
            - be
            - but
            - by
            - for
            - if
            - in
            - into
            - is
            - it
            - 'no'
            - not
            - of
            - 'on'
            - or
            - s
            - such
            - t
            - that
            - the
            - their
            - then
            - there
            - these
            - they
            - this
            - to
            - was
            - will
            - with
          weights:
            preprocess_index: -48
            preprocess_query: -50
        ignorecase:
          all_fields: false
          fields:
            - rendered_item
            - title
            - field_summary
            - name
          weights:
            preprocess_index: -49
            preprocess_query: -49
        transliteration:
          all_fields: false
          fields:
            - rendered_item
            - title
            - field_summary
            - name
          weights:
            preprocess_index: -47
            preprocess_query: -48
        content_access:
          weights:
            preprocess_query: -45
        html_filter:
          all_fields: false
          fields:
            - rendered_item
            - field_summary
          title: true
          alt: true
          tags:
            h1: 5
            h2: 3
            h3: 2
            strong: 2
            b: 2
          weights:
            preprocess_index: -46
            preprocess_query: -47
      tracker_settings:
        default:
          indexing_order: fifo
      options:
        index_directly: true
        cron_limit: 50
      server: database
  -
    collection: ''
    name: taxonomy.vocabulary.action_type
    data:
      langcode: en
      status: true
      dependencies: {  }
      name: 'Action type'
      vid: action_type
      description: 'For categorizing actions.'
      hierarchy: 0
      weight: 0
  -
    collection: ''
    name: views.view.action
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - search_api.index.action
          - system.menu.main
        module:
          - search_api
          - user
      id: action
      label: Action
      module: views
      description: 'Various displays for the action content type.'
      tag: ''
      base_table: search_api_index_action
      base_field: search_api_id
      core: 8.x
      display:
        default:
          display_plugin: default
          id: default
          display_title: Master
          position: 0
          display_options:
            access:
              type: perm
              options:
                perm: 'access content'
            cache:
              type: none
              options: {  }
            query:
              type: views_query
              options:
                bypass_access: false
                skip_access: false
            exposed_form:
              type: basic
              options:
                submit_button: Apply
                reset_button: false
                reset_button_label: Reset
                exposed_sorts_label: 'Sort by'
                expose_sort_order: true
                sort_asc_label: Asc
                sort_desc_label: Desc
            pager:
              type: mini
              options:
                items_per_page: 12
                offset: 0
                id: 0
                total_pages: null
                tags:
                  previous: ‹‹
                  next: ››
                expose:
                  items_per_page: false
                  items_per_page_label: 'Items per page'
                  items_per_page_options: '5, 10, 25, 50'
                  items_per_page_options_all: false
                  items_per_page_options_all_label: '- All -'
                  offset: false
                  offset_label: Offset
            style:
              type: default
              options:
                row_class: ''
                default_row_class: false
                uses_fields: false
            row:
              type: search_api
              options:
                view_modes:
                  'entity:node':
                    action: card
            fields:
              rendered_item:
                table: search_api_index_action
                field: rendered_item
                id: rendered_item
                entity_type: null
                entity_field: null
                plugin_id: search_api
                relationship: none
                group_type: group
                admin_label: ''
                label: ''
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                link_to_item: false
                use_highlighting: false
                multi_type: separator
                multi_separator: ', '
            filters: {  }
            sorts:
              sticky:
                id: sticky
                table: search_api_index_action
                field: sticky
                relationship: none
                group_type: group
                admin_label: ''
                order: DESC
                exposed: false
                expose:
                  label: ''
                plugin_id: search_api
              created:
                id: created
                table: search_api_index_action
                field: created
                relationship: none
                group_type: group
                admin_label: ''
                order: DESC
                exposed: false
                expose:
                  label: ''
                plugin_id: search_api
            header: {  }
            footer: {  }
            empty: {  }
            relationships: {  }
            arguments: {  }
            display_extenders: {  }
            title: Actions
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_interface'
              - url.query_args
              - user.permissions
            tags: {  }
        block_promoted:
          display_plugin: block
          id: block_promoted
          display_title: 'Block Promoted'
          position: 2
          display_options:
            display_extenders: {  }
            filters:
              promote:
                id: promote
                table: search_api_index_action
                field: promote
                relationship: none
                group_type: group
                admin_label: ''
                operator: '='
                value: '1'
                group: 1
                exposed: false
                expose:
                  operator_id: ''
                  label: ''
                  description: ''
                  use_operator: false
                  operator: ''
                  identifier: ''
                  required: false
                  remember: false
                  multiple: false
                  remember_roles:
                    authenticated: authenticated
                is_grouped: false
                group_info:
                  label: ''
                  description: ''
                  identifier: ''
                  optional: true
                  widget: select
                  multiple: false
                  remember: false
                  default_group: All
                  default_group_multiple: {  }
                  group_items: {  }
                plugin_id: search_api_boolean
            defaults:
              filters: false
              filter_groups: false
              pager: false
            filter_groups:
              operator: AND
              groups:
                1: AND
            pager:
              type: some
              options:
                items_per_page: 4
                offset: 0
            display_description: ''
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_interface'
              - user.permissions
            tags: {  }
        page_listing:
          display_plugin: page
          id: page_listing
          display_title: Page
          position: 1
          display_options:
            display_extenders: {  }
            path: actions
            menu:
              type: normal
              title: Actions
              description: 'Take action now.'
              expanded: false
              parent: ''
              weight: 0
              context: '0'
              menu_name: main
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_interface'
              - url.query_args
              - user.permissions
            tags: {  }
